Subject: Re: [PATCH] use winbond libata instead of ide driver for pseries CD drives

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 16 Feb 2007 18:11:06 +0300

Hello, I wrote:

>>>>>  I'm sorry, how those 2 drivers can be equivalent?! The pata_winbond driver 
>>>>>is for VLB only, sl81c105 was for PCI only -- you certainly want to use 
>>>>>pata_sl82c105 (indeed better version of sl82c105 driver).

>>>>I was under the impression that with your fixes these drivers
>>>>(sl82c105 and pata_sl82c105) are functionally equivalent.

>>>   They're not yet equivalent. pata_sl82c105 supports all MWDMA modes, 
>>>sl82c105 still supports only MWDMA2.

>>Indeed and it seems that IDE core needs ->dma_mode to fix this.

>     Not really.  It just needs the proper DMA timings to be set by adding the 
> missing speedproc() method (and also DMA timings possibly merged with PIO like 
> libata does generally -- except in this driver).

    By "this driver" I meant pata_sl82c105 of course. :-)

>>Thanks,
>>Bart

MBR, Sergei